Subject: Re: 23.0.60; Changing font size

From: Jan Djärv <[email-masked]>
Date: Wed, 25 Mar 2009 20:28:16 +0100

Chong Yidong skrev:
> Hi Jan,
> 
> This is not strictly a GTK bug, but could you take a look at bug#2715?
> 
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2715
> 
> The basic problem, I think, is that when the font size changes, Emacs
> tries to change the pixel width and height of the frame, keeping the row
> and column numbers unchanged (xterm.c:8116).  However, this fails when
> the frame is maximized---in that case, we can only change the row and
> column numbers, and the pixel width and height cannot be changed.
> However, I am not sure how to fix this.  Maybe you can suggest a
> solution?

The problem is that generally you can't really be sure if you are maximized or 
just big.

But with a relative new window manager, there are properties we can look at to 
deduce what to do or not do, so we can cover those cases at least (i.e. all 
KDE, Gnome, XFCE and some more).  I'll see what I can come up with.

	Jan D.